Subject: FVWM: Re: Iconisation issue

From: "Matt H" <[email-masked]>
Date: Mon, 26 Feb 2001 13:11:45 -0000

Dominik,

Thanks for your quick response.

I'm using the latest OpenMotif libraries on RedHat Linux 6.1.  This seems to 
occur with all releases of FVWM from 1.x, 2.2.2 through 2.3.x.

Maybe I should contact a X intrinsics developers or the Motif team, but I'm 
not sure why this occurs mainly on FVWM and not the other WMs.

In summary: the windows WMHints iconic hint is set to Iconised...when the 
windows shell is called by XtPopup and XRaiseWindow, FVWM shows the window 
but iconised.  Under other window managers the window gets mapped and so the 
MapNotify event is generated.

Thanks for any assistance you may have, let me know if I could provide any 
further information.

Thank you, Matt.
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 27 Feb 2001 15:41:00 +0100

> MapNotify event is generated.

Well, of course you don't get a MapNotify if the window starts
iconic as you asked through the WMHints.  If said other window
managers ignore this hint and create the window full sized then
these window managers are broken (consider reporting that bug to
the developers).

However, what you say does not match the code you sent.  I can't
see why myshell should have the IconicState set in the WMHints.
I removed the two forms from the code (XmCreateForm always gives
me that X error message) and now I get the MapNotify as requested
as soon as the code reaches the final line:

  XtAppMainLoop(my_appContext);

I'd take another look at the code if you post the correct code.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].